## AgsLv2EventManager

AgsLv2EventManager — event manager

## Stability Level

Stable, unless otherwise indicated

## Functions

uint32_t | ags_lv2_event_manager_lv2_event_ref ()
uint32_t | ags_lv2_event_manager_lv2_event_unref ()
AgsLv2EventManager * | ags_lv2_event_manager_get_instance ()
AgsLv2EventManager * | ags_lv2_event_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsLv2EventManager

## Includes

    #include <ags/plugin/ags_lv2_event_manager.h>

## Description

The AgsLv2EventManager allows you to do memory management with LV2_Event's.

## Functions

### ags_lv2_event_manager_lv2_event_ref ()

    uint32_t
    ags_lv2_event_manager_lv2_event_ref (LV2_Event_Callback_Data callback_data,
                                         LV2_Event *event);

### ags_lv2_event_manager_lv2_event_unref ()

    uint32_t
    ags_lv2_event_manager_lv2_event_unref (LV2_Event_Callback_Data callback_data,
                                           LV2_Event *event);

### ags_lv2_event_manager_get_instance ()

    AgsLv2EventManager *
    ags_lv2_event_manager_get_instance ();

Singleton function to optain the id manager instance.

#### Returns

an instance of AgsLv2EventManager.

[transfer none]

Since: 3.0.0

### ags_lv2_event_manager_new ()

    AgsLv2EventManager *
    ags_lv2_event_manager_new ();

Instantiate a id manager.

#### Returns

a new AgsLv2EventManager

Since: 3.0.0